| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Friends
Tp::Farstream::PendingChannel Class Reference

`#include </home/collabora-devel/kde/src/telepathy-qt4/TelepathyQt/Farstream/channel.h>`

Inherits Tp::PendingOperation.

List of all members.

## Public Member Functions

- ~PendingChannel ()
- TfChannel * tfChannel () const
- CallChannelPtr callChannel () const

## Friends

- PendingChannel * createChannel (const CallChannelPtr &channel)

## Constructor & Destructor Documentation

Tp::Farstream::PendingChannel::~PendingChannel | ( |  | ) |

## Member Function Documentation

TfChannel * Tp::Farstream::PendingChannel::tfChannel | ( |  | ) | const

CallChannelPtr Tp::Farstream::PendingChannel::callChannel | ( |  | ) | const

## Friends And Related Function Documentation

PendingChannel* createChannel | ( | const CallChannelPtr & | channel | ) | `[friend]`